CVE Vulnerabilities

CVE-2005-0106

Published: May 03, 2005 | Modified: Oct 03, 2018
CVSS 3.x
N/A
Source:
NVD
CVSS 2.x
4.6 MEDIUM
AV:L/AC:L/Au:N/C:P/I:P/A:P
RedHat/V2
RedHat/V3
Ubuntu

SSLeay.pm in libnet-ssleay-perl before 1.25 uses the /tmp/entropy file for entropy if a source is not set in the EGD_PATH variable, which allows local users to reduce the cryptographic strength of certain operations by modifying the file.

Affected Software

Name Vendor Start Version End Version
Ubuntu_linux Ubuntu 5.04 5.04
Libnet-ssleay-perl Ubuntu dapper *
Libnet-ssleay-perl Ubuntu devel *
Libnet-ssleay-perl Ubuntu edgy *
Libnet-ssleay-perl Ubuntu feisty *

References